# $Id: kmameleon.spec,v 1.1 2004/04/08 17:56:37 rexdieter Exp $

%define beta pl2

Summary: XMame frontend 
Name:	 kmameleon
Version: 1.0 
Release: 0.fdr.0.%{beta}%{?dist_tag} 
License: GPL
Url:	 http://kmameleon.berlios.de/	
Group: 	 Amusements/Games
Source:	 http://download.berlios.de/kmameleon/kmameleon-1.0pl2.tar.bz2
## 5b8dba57360e931f87a4df9df1ea1d16  kmameleon-1.0pl2.tar.bz2
## f21bdf3926358514a63a5fa791ac5abe  kmameleon-1.0pl2.tar.gz
Source1: http://kmameleon.berlios.de/files/kmameleon_mdsum.txt
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root


BuildRequires: desktop-file-utils

BuildRequires: qt-devel >= 1:3.1
%define qt_ver %(rpm -q --qf '%%{version}' qt-devel | cut -d. -f1,2)
Requires: qt >= 1:%{qt_ver}

BuildRequires: kdelibs-devel >= 6:3.1
%define kdelibs_ver %(rpm -q --qf '%%{version}' kdelibs-devel | cut -d. -f1,2 )
Requires: kdelibs >= 6:%{kdelibs_ver}

# at least until natively supported
%define desktop_file 1

Requires: xmame


%description
KMameleon is a slick and easy to use KDE XMame frontend. 

It supports a vast selection of options provided by the emulator, 
and it supports the X11, SDL, and XGL versions of it.


%package devel
Summary: Development files for %{name} 
Group:	 Development/Libraries
Requires: kdelibs-devel >= %{kdelibs_ver}
Requires: %{name} = %{version}-%{release}
%description devel
Development files for %{name} 


%prep
%setup -n kmameleon_1_0


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --program-prefix="%{?_program_prefix}" \
  --disable-rpath \
  %{?debug:  --enable-debug --enable-warnings } \
  %{?!debug: --disable-dependency-tracking --disable-debug --disable-warnings --enable-final } \

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

%if "%{?desktop_file}" == "1"
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --delete-original --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category "X-Fedora" \
  --add-category "ArcadeGame" \
  --add-category "Game" \
  --add-category "KDE" \
  --add-category "Qt" \
  $RPM_BUILD_ROOT%{_datadir}/appl*/*/*.desktop
%endif


%files 
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/*
%{_datadir}/apps/*
%if "%{?desktop_file}" == "1"
%{_datadir}/applications/*.desktop
%else
%{_datadir}/appl*/*/*.desktop
%endif
%{_datadir}/icons/*/*/*
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/kde/*
%{_libdir}/lib*.[ls][ao]


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Apr 08 2004 Rex Dieter <rexdieter at sf.net> 1.0-0.fdr.0.pl2
- 1.0pl2  

